summaryrefslogtreecommitdiff
path: root/src/gfc.in
diff options
context:
space:
mode:
Diffstat (limited to 'src/gfc.in')
-rw-r--r--src/gfc.in25
1 files changed, 25 insertions, 0 deletions
diff --git a/src/gfc.in b/src/gfc.in
new file mode 100644
index 000000000..05addb2cb
--- /dev/null
+++ b/src/gfc.in
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+prefix="@prefix@"
+
+case "@host@" in
+ *-cygwin)
+ prefix=`cygpath -w "$prefix"`;;
+esac
+
+exec_prefix="@exec_prefix@"
+GF_BIN_DIR="@bindir@"
+GF_DATA_DIR="@datadir@/GF-@PACKAGE_VERSION@"
+
+GFBIN="$GF_BIN_DIR/gf3"
+
+if [ ! -x "${GFBIN}" ]; then
+ GFBIN=`which gf3`
+fi
+
+if [ ! -x "${GFBIN}" ]; then
+ echo "gf3 not found."
+ exit 1
+fi
+
+exec $GFBIN --batch "$@"